aboutsummaryrefslogtreecommitdiffstats
path: root/run.sh
diff options
context:
space:
mode:
authorbloodstalker <thabogre@gmail.com>2018-08-14 16:20:48 +0000
committerbloodstalker <thabogre@gmail.com>2018-08-14 16:20:48 +0000
commit76454524a3f758998ada1f613920460b3bb72de1 (patch)
treebbc13064c59cde7db1de90eca57421288a6302ac /run.sh
parentupdate (diff)
downloadluatablegen-76454524a3f758998ada1f613920460b3bb72de1.tar.gz
luatablegen-76454524a3f758998ada1f613920460b3bb72de1.zip
update
Diffstat (limited to 'run.sh')
-rwxr-xr-xrun.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/run.sh b/run.sh
index 12b86db..78ab9ea 100755
--- a/run.sh
+++ b/run.sh
@@ -1,10 +1,12 @@
#!/usr/bin/bash
cd $(dirname $0)
if [[ -d ./out ]]; then :;else mkdir ./out;fi
-./luatablegen.py --tbg ./test/wasmtablegen.json --out ./out --luaheader /home/bloodstalker/devi/hell2/bruiser/lua-5.3.4/src --pre ./test/wasmheader.txt --headeraggr ./out/wasm_tables.h --lualibpath ./out/wasm.lua --docpath ./out/wasm.md
-for filename in ../../bruiser/luatablegen/*.c; do
- gcc -c $filename > /dev/null 2>&1
- if [[ $? != 0 ]]; then
- echo $filename did not compile.
- fi
-done
+./luatablegen.py --tbg ./test/wasmtablegen.json --out ./out --luaheader /home/bloodstalker/devi/hell2/bruiser/lua-5.3.4/src --pre ./test/wasmheader.txt --headeraggr ./out/wasm_tables.h --lualibpath ./out/wasm.lua --docpath ./out/wasm.md --xml ./test/wasm.xml --tbldefs ./out/
+clang-format ./out/*.c ./out/*.h -i
+#for filename in ./out/*.c; do
+# gcc -c $filename > /dev/null 2>&1
+# if [[ $? != 0 ]]; then
+# echo $filename did not compile.
+# fi
+#done
+#rm *.o